org.apache.hadoop.yarn

## Class ContainerRollingLogAppender

- java.lang.Object
- - org.apache.log4j.AppenderSkeleton
  - - org.apache.log4j.WriterAppender
    - - org.apache.log4j.FileAppender
      - - org.apache.log4j.RollingFileAppender
        - - org.apache.hadoop.yarn.ContainerRollingLogAppender

- All Implemented Interfaces:
    Flushable, org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public class ContainerRollingLogAppender
      extends org.apache.log4j.RollingFileAppender
      implements Flushable

  A simple log4j-appender for container's logs.

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.RollingFileAppender

      `maxBackupIndex, maxFileSize`

    - ### Fields inherited from class org.apache.log4j.FileAppender

      `bufferedIO, bufferSize, fileAppend, fileName`

    - ### Fields inherited from class org.apache.log4j.WriterAppender

      `encoding, immediateFlush, qw`

    - ### Fields inherited from class org.apache.log4j.AppenderSkeleton

      `closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerRollingLogAppender()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateOptions()`
    `void` | `flush()`
    `String` | `getContainerLogDir()` Getter/Setter methods for log4j.
    `String` | `getContainerLogFile()`
    `void` | `setContainerLogDir(String containerLogDir)`
    `void` | `setContainerLogFile(String containerLogFile)`

    - ### Methods inherited from class org.apache.log4j.RollingFileAppender

      `getMaxBackupIndex, getMaximumFileSize, rollOver, setFile, setMaxBackupIndex, setMaxFileSize, setMaximumFileSize, setQWForFiles, subAppend`

    - ### Methods inherited from class org.apache.log4j.FileAppender

      `closeFile, getAppend, getBufferedIO, getBufferSize, getFile, reset, setAppend, setBufferedIO, setBufferSize, setFile`

    - ### Methods inherited from class org.apache.log4j.WriterAppender

      `append, checkEntryConditions, close, closeWriter, createWriter, getEncoding, getImmediateFlush, requiresLayout, setEncoding, setErrorHandler, setImmediateFlush, setWriter, shouldFlush, writeFooter, writeHeader`

    - ### Methods inherited from class org.apache.log4j.AppenderSkeleton

      `addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setLayout, setName, setThreshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerRollingLogAppender

          public ContainerRollingLogAppender()

  - ### Method Detail

    - #### activateOptions

          public void activateOptions()

      Specified by:
        `activateOptions` in interface `org.apache.log4j.spi.OptionHandler`
      Overrides:
        `activateOptions` in class `org.apache.log4j.FileAppender`

    - #### flush

          public void flush()

      Specified by:
        `flush` in interface `Flushable`

    - #### getContainerLogDir

          public String getContainerLogDir()

      Getter/Setter methods for log4j.

    - #### setContainerLogDir

          public void setContainerLogDir(String containerLogDir)

    - #### getContainerLogFile

          public String getContainerLogFile()

    - #### setContainerLogFile

          public void setContainerLogFile(String containerLogFile)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.